# -Wincompatible-pointer-types issue with gcc introduced in 1.4.0
%global build_type_safety_c 2

Name:           qman
Version:        1.4.1
Release:        %autorelease
Summary:        A more modern manual page viewer for our terminals
License:        BSD-2-Clause
URL:            https://github.com/plp13/qman
Source0:        https://github.com/plp13/%{name}/archive/refs/tags/v%{version}.tar.gz
BuildRequires:  gcc
BuildRequires:  meson
BuildRequires:  python3-cogapp
BuildRequires:  xz-devel
BuildRequires:  pkgconfig(ncursesw)
BuildRequires:  pkgconfig(inih)
BuildRequires:  pkgconfig(zlib)
BuildRequires:  pkgconfig(bzip2)
BuildRequires:  CUnit-devel
Requires:       man
Requires:       groff-base

%description
%summary

%prep
%autosetup

%build
%meson
%meson_build

%install
%meson_install

%check
%meson_test

%files
%doc PACKAGING.md README.md TESTING.md
%license LICENSE
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.gz
%config(noreplace) %{_sysconfdir}/xdg/qman/qman.conf
%config(noreplace) %{_sysconfdir}/xdg/qman/themes/catppuccin_latte.conf
%config(noreplace) %{_sysconfdir}/xdg/qman/themes/modernity.conf

%changelog
%autochangelog
